# Class TileCache

- Defined in lib/five/model/tile3d/tile-cache.ts:92

##### Index

### Constructors

constructor

### Methods

loadTile
reset
toArray
touchTile
unloadTile
unloadTiles

## Constructors

### constructor

- new TileCache(options?: TileCacheOptions): TileCache

  #### Parameters

  - options: TileCacheOptions = {}

  #### Returns TileCache

  - Defined in lib/five/model/tile3d/tile-cache.ts:97

## Methods

### loadTile

- loadTile(tile: Tile): void

  #### Parameters

  - tile: Tile

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-cache.ts:118

### reset

- reset(): void

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-cache.ts:105

### toArray

- toArray(): Tile[]

  #### Returns Tile[]

  - Defined in lib/five/model/tile3d/tile-cache.ts:152

### touchTile

- touchTile(tile: Tile): void

  #### Parameters

  - tile: Tile

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-cache.ts:111

### unloadTile

- unloadTile(tile: Tile): void

  #### Parameters

  - tile: Tile

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-cache.ts:128

### unloadTiles

- unloadTiles(isOverMemory: () => boolean): void

  #### Parameters

  - isOverMemory: () => boolean

  #### Returns void

  - Defined in lib/five/model/tile3d/tile-cache.ts:140